import { jsx } from "react/jsx-runtime";
import { TokenCSPR as TokenCSPR$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCSPR = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "CSPR", "data-name": "TokenCSPR", ...props, children: /* @__PURE__ */ jsx(TokenCSPR$1, { variant }) });
  }
);
TokenCSPR.displayName = "TokenCSPR";
Object.assign(TokenCSPR, { isGdsIcon: true });
export {
  TokenCSPR
};
